declare module "esbuild-coffeescript" {
  type Build = import("esbuild").PluginBuild
  interface Options {
    /**
     * If true, output the source map as a base64-encoded string in a comment at the bottom.
     */
    inlineMap?: boolean
    /**
     * The filename to use for the source map. It can include a path (relative or absolute).
     */
    filename?: string
    /**
     * If true, output without the top-level function safety wrapper.
     */
    bare?: boolean
    /**
     * If true, output the Generated by CoffeeScript header.
     */
    header?: boolean
    /**
     * If set, this must be an object with the options to pass to Babel. See Transpilation.
     */
    transpile?: object
    /**
     * If true, return an abstract syntax tree of the input CoffeeScript source code
     */
    ast?: boolean
  }

  function _exports(options?: Options): {
    name: "coffeescript";
    setup: (build: Build) => void;
  };
  export = _exports;
}
